Subject: [manet] [Errata Held for Document Update] RFC8175 (6472)

From: RFC Errata System <[email-masked]>
Date: Wed, 21 Jul 2021 14:11:36 -0700 (PDT)

The following errata report has been held for document update 
for RFC8175, "Dynamic Link Exchange Protocol (DLEP)". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6472

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Rick Taylor <[email-masked]>
Date Reported: 2021-03-10
Held by: Alvaro Retana (IESG)

Section: 12.4, para 2

Original Text
-------------
A Peer Offer Signal MUST be encoded within a UDP packet.  The IP source and destination fields in the packet MUST be set by swapping the values received in the Peer Discovery Signal.  The Peer Offer Signal completes the discovery process; see Section 7.1.

Corrected Text
--------------
A Peer Offer Signal MUST be encoded within a UDP packet. If the Modem is not including IPv4 and IPv6 Connection Point Data Items in the Peer Offer Signal, then the IP source field in the packet MUST be set to the unicast address the router must use when connecting the DLEP TCP session, otherwise any valid local address MUST be used.  The IP destination field in the packet MUST be set to the IP source field value received in the Peer Discovery Signal.  The Peer Offer Signal completes the discovery process; see Section 7.1.

Notes
-----
The original text will not result in a valid unicast IP packet.

=====
AD Note:  The original text is clearly wrong.  There has been discussion in the WG about the proper wording for the "corrected text", but no definitive conclusion has been reached.  More discussion is clearly needed so I am marking this report as Held for Document Update.  

https://mailarchive.ietf.org/arch/msg/manet/HB6vBIID1cE93IVmOX2Q4bPfhjk/

--------------------------------------
RFC8175 (draft-ietf-manet-dlep-29)
--------------------------------------
Title               : Dynamic Link Exchange Protocol (DLEP)
Publication Date    : June 2017
Author(s)           : S. Ratliff, S. Jury, D. Satterwhite, R. Taylor, B. Berry
Category            : PROPOSED STANDARD
Source              : Mobile Ad-hoc Networks
Area                : Routing
Stream              : IETF
Verifying Party     : IESG